### File

`src/lib/window-context.ts`

### Index

###### Properties

- Optional data
- id
- overlayRef
- windowRef

### Properties

data
`data: `D``
Type : `D`
Optional

id
`id: `string``
Type : `string`

overlayRef
`overlayRef: `OverlayRef``
Type : `OverlayRef`

windowRef
`windowRef: `WindowRef<D>``
Type : `WindowRef<D>`

    import {
      ComponentType,
      OverlayRef,
    } from '@angular/cdk/overlay';
    import { WindowRef } from './window-ref';
    import { TemplateRef } from '@angular/core';

    export interface WindowContext<D> {
      overlayRef: OverlayRef;
      windowRef: WindowRef<D>;
      data?: D;
      id: string;
    }

    export interface WindowContainerContext<T> {
      component?: ComponentType<T>;
      template?: TemplateRef<T>;
    }

# results matching ""

# No results matching ""